Package org.apache.struts2.tiles

# Class StrutsWildcardServletApplicationContext

java.lang.Object
org.apache.tiles.request.servlet.ServletApplicationContext
org.apache.struts2.tiles.StrutsWildcardServletApplicationContext

All Implemented Interfaces:
  `ApplicationContext`

public class StrutsWildcardServletApplicationContext extends ServletApplicationContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsWildcardServletApplicationContext(jakarta.servlet.ServletContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Set<ApplicationResource>`
  `findResources(String path)`
  `ApplicationResource`
  `getResource(ApplicationResource base, Locale locale)`
  Return a localized version of an ApplicationResource.
  `Collection<ApplicationResource>`
  `getResources(String path)`
  Return the application resources mapped to the specified path.

  ### Methods inherited from class org.apache.tiles.request.servlet.ServletApplicationContext

  `getApplicationScope, getContext, getInitParams, getResource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrutsWildcardServletApplicationContext

    public StrutsWildcardServletApplicationContext(jakarta.servlet.ServletContext context)

- ## Method Details

  - ### getResources

    public Collection<ApplicationResource> getResources(String path)
    Description copied from class: `ServletApplicationContext`
    Return the application resources mapped to the specified path.
    Specified by:
      `getResources` in interface `ApplicationContext`
    Overrides:
      `getResources` in class `ServletApplicationContext`
    Parameters:
      `path` - to the desired resource.
    Returns:
      all resources which match the given path.

  - ### getResource

    public ApplicationResource getResource(ApplicationResource base, Locale locale)
    Description copied from class: `ServletApplicationContext`
    Return a localized version of an ApplicationResource.
    Specified by:
      `getResource` in interface `ApplicationContext`
    Overrides:
      `getResource` in class `ServletApplicationContext`
    Parameters:
      `base` - the ApplicationResource.
      `locale` - the desired Locale.
    Returns:
      the first located resource which matches the given path or null if no such resource exists.

  - ### findResources

    protected Set<ApplicationResource> findResources(String path) throws IOException
    Throws:
      `IOException`